/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_UTILITIES_H__54F0E0FB_ABA1_4BDC_9F6B_8DF661DA0BD2__INCLUDED_)
#define AFX_UTILITIES_H__54F0E0FB_ABA1_4BDC_9F6B_8DF661DA0BD2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../xPaintClass/xExports.h"

#define OS_9X   0x0001
#define OS_NT   0x0002
#define OS_95   0x0004
#define OS_98   0x0008
#define OS_ME   0x0010
#define OS_NT4  0x0020
#define OS_2K   0x0040
#define OS_XP   0x0080
#define OS_2KXP 0x0100

static HMONITOR pMon = GetMonitor(1);
static HMONITOR sMon = GetMonitor(2);
static HMONITOR tMon = GetMonitor(3);

static int iScreenWidth = GetSystemMetrics(SM_CXSCREEN);
static int iScreenHeight = GetSystemMetrics(SM_CYSCREEN);

static int iRealMonitors = GetSystemMetrics(SM_CMONITORS);

string GetTaskClass( HWND hTask );

string GetTaskWindowText( HWND hTask );

string GetTaskFileName( HWND hTask );

string trim(const string &toTrim);
string IntToString(int input);

int SplitString(const string &process, string &one, string &two, string &three, string &four, string &five, string &six, string &seven);

string iGetxRCString(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCString(const string &uniqueKey, const string &baseName, const string &defaultVal);

string iGetxRCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);

void PrefixedLSSetVariable(string prefix, string var, string value);

StringList split(string str, string sep);

bool IsSubString(const string &big, const string &small);

bool IsOnTaskbarList(HWND hWnd, StringList theList, bool emptyValue);

void GetTaskIcon(HWND hTask, HICON &hIcon, bool bBigIcon);

bool GetIconOnCustomList(HWND hWnd, HICON &hIcon, StringList theList, bool bBigIcon);

bool IsValidWindow(const HWND &hWnd);

void GetxRCList(char *text, StringList &theList, bool trim);

StringList GetxRCLineList(const string &uniqueKey);

LPTSTR RegQueryStringValue(HKEY hKey, LPCTSTR pszSubKey, LPCTSTR pszValueName, LPTSTR pszBuffer, int nBufferSize, LPTSTR pszDefaultValue);

#endif // !defined(AFX_UTILITIES_H__54F0E0FB_ABA1_4BDC_9F6B_8DF661DA0BD2__INCLUDED_)
